Try ERPNext Buy Support Partners Foundation

Installation error on Ubuntu 16.04 & 18.04 LTS

Hello,

I have tried to install ERPnext through easy install on clean install Ubuntu 16.04 and Ubuntu 18.04 LTS as well.

Having followed @bkm easy install guide (Error on ERPNext - Ubuntu 18.04 LTS Installation) and @sinichi19 guide ( Easy Install Complete Guide Ubuntu 18.04.3 ERPNEXT V12 /Sorry! We will be back soon Don’t panic fixed), I’m ending up with following error:

  1. Failed building wheel cryptography. This was resolved after using command: $ sudo apt-get install build-essential libssl-dev libffi-dev python3-dev. Is this correct?
  2. Returned non - exit zero status - 2
  3. Returned non - exit zero status -100.

Now I’m stuck not knowing which guide to follow. I’ve got a Ubuntu 18.04.04 installed, please let me know which guide to follow for easy install or shall I to ahead with manual installation.

Please help me! I’m new to this and struggling to get past even after multiple try.

try this.

sudo apt-get install build-essential libssl-dev libffi-dev python-dev

The lines of text just above Failed building wheel cryptography are important to see so we have the reasons why cryptography failed to build.

please review this.